blob_id stringlengths 40 40 | language stringclasses 1
value | repo_name stringlengths 4 115 | path stringlengths 2 970 | src_encoding stringclasses 28
values | length_bytes int64 31 5.38M | score float64 2.52 5.28 | int_score int64 3 5 | detected_licenses listlengths 0 161 | license_type stringclasses 2
values | text stringlengths 31 5.39M | download_success bool 1
class |
|---|---|---|---|---|---|---|---|---|---|---|---|
4da3191c9610d74ed81fd1ded8667c51cfd21b04 | Shell | thewtex/python-zstandard | /ci/travis-build.sh | UTF-8 | 436 | 2.96875 | 3 | [
"BSD-3-Clause"
] | permissive | #!/usr/bin/env bash
set -ex
if [ "${BUILDMODE}" = "CONDA" ]; then
conda build ci/conda
mkdir -p dist
cp -av /home/travis/miniconda/conda-bld/*/*.tar.bz2 dist/
elif [ "${BUILDMODE}" = "CIBUILDWHEEL" ]; then
export PIP=pip
if [ $(uname) = "Darwin" ]; then
export PIP=pip2
fi
cibuildwhee... | true |
2a15718c4d6d5af69b54f635bf1aeecbf0f41264 | Shell | PediatricOpenTargets/OpenPedCan-api | /tests/linters/run_r_lintr.sh | UTF-8 | 872 | 2.78125 | 3 | [] | no_license | #!/bin/bash
set -e
set -u
set -o pipefail
# This script should always run as if it were being called from
# the directory it lives in.
#
# Adapted from https://stackoverflow.com/a/3355423/4638182
cd "$(dirname "$0")" || exit
# Change working dir to git root dir
cd ../../
lintrs_val="lintr::with_defaults(object_name_... | true |
5c0947c8a3d9bc3e4d4bd7f3ffd3e0c607a37d09 | Shell | go-god/gmicro | /example/bin/php-generate.sh | UTF-8 | 2,403 | 3.5 | 4 | [
"MIT",
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
root_dir=$(cd "$(dirname "$0")"; cd ..; pwd)
protoExec=$(which "protoc")
if [ -z $protoExec ]; then
echo 'Please install protoc!'
echo "Please look readme.md to install proto3"
echo "if you use centos7,please look docs/centos7-protoc-install.md"
exit 0
fi
# grpc_php_plugin check.
g... | true |
a1ce6e7ed569a37dff76d594fc6d2ca1272597ce | Shell | lentzi90/scheduler-timer | /code/timer.sh | UTF-8 | 1,110 | 3.875 | 4 | [] | no_license | #!/bin/bash
# timer.sh
#
# A timer script to measure the differences between schedulers/policies
#
# Author: Lennart Jern (ens16ljn@cs.umu.se)
for THREADS in $(seq 1 10)
do
DATA="Normal,Batch,Idle,FIFO,RR"
echo "Running with $THREADS threads"
# Time the commands 10 times
for i in $(seq 1 10)
do
... | true |
49b33d988e7eb310ed45b9d5f9f359f3bd3ec8b5 | Shell | sshaoshuai/OpenSelfSup | /benchmarks/srun_test_svm_epoch.sh | UTF-8 | 745 | 3.296875 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
set -e
set -x
PARTITION=$1
CFG=$2
EPOCH=$3
FEAT_LIST=$4 # e.g.: "feat5", "feat4 feat5". If leave empty, the default is "feat5"
GPUS=${5:-8}
WORK_DIR=$(echo ${CFG%.*} | sed -e "s/configs/work_dirs/g")/
if [ ! -f $WORK_DIR/epoch_${EPOCH}.pth ]; then
echo "ERROR: File not exist: $WORK_DIR/epoch_$... | true |
1304b6166688f5697950fc7e1b262a825927f928 | Shell | ImageProcessing-ElectronicPublications/jpeg-recompress | /test/test.sh | UTF-8 | 295 | 3.390625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
set -e
mkdir -p test-output
if [ ! -d test-files ]; then
curl -O -L https://www.dropbox.com/s/hb3ah7p5hcjvhc1/jpeg-archive-test-files.zip
unzip jpeg-archive-test-files.zip
fi
for file in test-files/*; do
../jpeg-recompress "$file" "test-output/`basename $file`"
done
| true |
40c412f0f4d44531440b7b5dd7df309c701784f7 | Shell | netman2k/docker-prometheus-swarm | /docker-socat-entrypoint.sh | UTF-8 | 178 | 2.609375 | 3 | [] | no_license | #!/bin/sh
host_ip=$(/sbin/ip route show default | /usr/bin/awk '/default/ {print $3}')
IN="${host_ip}:4999"
OUT="4999"
socat -d -d tcp-listen:$OUT,fork,reuseaddr tcp-connect:$IN
| true |
73b215ca2b64761ec5d6c20e9718e64df052d94e | Shell | Ali-Parandeh/Data_Science_Playground | /Datacamp Assignments/Data Engineer Track/5. Introduction to Shell for Data Science/35_nano.sh | UTF-8 | 585 | 3.34375 | 3 | [
"MIT"
] | permissive | # How can I edit a file?
# Unix has a bewildering variety of text editors. For this course, we will use a simple one called Nano. If you type nano filename, it will open filename for editing (or create it if it doesn't already exist). You can move around with the arrow keys, delete characters using backspace, and do o... | true |
90fe2e97a8f11be0babd97378200fb621e2e2241 | Shell | antenore/svntogit-community | /pcbdraw/trunk/PKGBUILD | UTF-8 | 887 | 2.53125 | 3 | [] | no_license | # Maintainer: Filipe Laíns (FFY00) <lains@archlinux.org>
_pkgname=PcbDraw
pkgname=pcbdraw
pkgver=0.6.1
pkgrel=1
pkgdesc='Convert your KiCAD board into a nice looking 2D drawing suitable for pinout diagrams'
arch=('any')
url='https://github.com/yaqwsx/PcbDraw'
license=('MIT')
depends=('python' 'kicad' 'python-numpy' 'p... | true |
2e601f9dc78e69aaf78757847c603a55b2b5777c | Shell | awheeler/installer | /lib/Ubuntu/installer | UTF-8 | 3,743 | 3.453125 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# vim:et:ft=sh:sts=2:sw=2
PHP_SAPIS="apache2 cli"
APACHE_USER="www-data"
os_install() {
apt-get install -y $*
}
### Update repository package info ###
prepare_system() {
echo
echo "============================="
echo " Updating Repositories "
echo "============================="
echo
... | true |
dd380cb811868b5620188bacc802fa55433933d3 | Shell | culring/filesystem | /test1.sh | UTF-8 | 492 | 2.859375 | 3 | [] | no_license | #!/bin/sh
if [ "$1" == "test" ]
then
g++ fs.cpp -o fs
g++ bin.cpp -o bin
./fs create vd 150000000 < test1.in
chmod +x bin2
echo $'\n----------BIN (ORIGINAL)----------'
./bin
echo "----------BIN2 (COPIED)----------"
./bin2
echo "----------file.txt (ORIGINAL)----------"
cat f... | true |
68b5869e0e9b52c2bcdc97d9786f5559ae8e5a77 | Shell | rcamposp/terminator | /ruby_friends/global_gemset_helper.sh | UTF-8 | 490 | 3.65625 | 4 | [] | no_license | #!/bin/bash
helper_path="$(dirname "$(readlink -f "$0")")"
echo "Installing custom global_gemset ..."
echo "From $helper_path/global_gemset.gems to $rvm_path/gemsets/global.gems"
for global_gem in $(cat $helper_path/global_gemset.gems); do
echo -n "gem: $global_gem"
if grep -Fxq "$global_gem" $rvm_path/gemsets/glob... | true |
eeef4ff08f5f78869ffc1343a1ac961542b168db | Shell | syt0438/Study | /shell/demo_10.sh | UTF-8 | 109 | 2.71875 | 3 | [] | no_license | #!/bin/bash
if pwd
then
echo "It worked, wait 3 second exit"
sleep 3
exit 0
fi
| true |
50633b47510f943ddf868bff3dbef89c88144854 | Shell | scta-texts/wodehamabbreviatio | /test.sh | UTF-8 | 556 | 3.03125 | 3 | [] | no_license | for file in */*
do
schema=$(grep -o "lbp-.*-1.0.0" $file)
if [[ $file = *"transcriptions.xml"* ]]; then
jing ~/Desktop/tdf.rng $file
if [[ $? != 0 ]]
$status=$?
fi
echo $file
elif [[ $schema = *"diplomatic"* ]]; then
echo "checking diplomatic for $file"
jing ~/Desktop/diplomatic.rn... | true |
33bf0f2bb9bc5907fcab8bc57b6332f499d51c20 | Shell | AliSajid/coq-builder | /src/with/with.sh | UTF-8 | 2,209 | 3.546875 | 4 | [] | no_license | #! /bin/sh
TOP=@TOPDIR@
if [ $# = 0 ]
then exec 1>&2
cmd=with
echo "usage:"
echo " . $cmd \"PACKAGE ...\" modify the environment of the current shell to provide PACKAGE ..."
echo " $cmd \"PACKAGE ...\" command run command in the environment provided by PACKAGE ..."
echo " PACKAG... | true |
60e8f09b384da39a49fa0d08c2e02fc5c2dadac2 | Shell | dockerimages/docker-build-s6 | /build.sh | UTF-8 | 3,042 | 3.21875 | 3 | [] | no_license | #!/usr/bin/env bash
set -e
set -x
# make version (for skarnet)
make_version=4.1
# skarnet versions
musl_version=1.0.5
skalibs_version=2.2.1.0
execline_version=2.0.2.0
s6_version=2.1.0.1
# point to make
MAKE_4x=/usr/local/bin/make
# configures /dev/random in order to disable hangs
rm /dev/random
mknod /dev/random c... | true |
d0e1b7d5619e8b9e31a87d1d571cbe22d7735106 | Shell | RodrigoGM/LinkedQTL | /src/MergeOutputs.sh | UTF-8 | 378 | 2.625 | 3 | [
"BSD-3-Clause"
] | permissive | #!/bin/bash
for SMRY in S1 MQM ; do
for Q in q1 q2 ; do
head -n1 ../cf2_o/1000_CF2_${Q}_nind1000_nmar1152_${SMRY}smry.csv | sed -e 's/\"//g' > ../analysis/${SMRY}_${Q}_summary.csv
for i in 250 500 1000 1500 ; do
cat ../cf2_o/*${Q}_nind${i}*${SMRY}smry.csv | sed -e 's/\"//g' -e '/^lci/d' -e '/^name/d' >> ... | true |
a1f2949e55a7d162059d26cbfbc5e75451f651a3 | Shell | srp33/GSOA | /scripts/graph | UTF-8 | 3,840 | 2.578125 | 3 | [] | no_license | #!/bin/bash
dataDir=/Users/stevep/Temp/GSOA_Data
#rm -rf Figures/*
##Rscript --vanilla code/PlotHeatmap.R Results/Simulated_Classes2_PValue.txt FALSE TRUE 1.01 "." Simulated Figures/Simulated_Classes3_PValue.pdf
Rscript --vanilla code/PlotHeatmap.R Results/Simulated_Classes3_PValue.txt FALSE TRUE 1.01 "." Simulated ... | true |
42110be66e300a152b0f7714b970c4f18769c725 | Shell | jamesp9/munin-plugin-test-notification | /munin_notify_rocket | UTF-8 | 1,073 | 3.1875 | 3 | [
"MIT"
] | permissive | #!/bin/bash
WEBHOOK_URL="http://172.17.0.3:3000/hooks/KX5jLvSAPkrNF3iSx/HJxhtnauw6RWgHnDNA3YhTo5n4d9ZnxzeH9CmoMzHMAAEtCW"
LOG_FILE="/tmp/munin_notify_rocket.log"
ICON_EMOJI=":robot:"
GROUP="$1"
HOST="$2"
CATEGORY="$3"
GRAPH_TITLE="$4"
SERVICE_STATE="$5"
INPUT=$(cat | xargs)
echo "$(date)" > ${LOG_FILE}
echo "GROUP:... | true |
296be46130ccd75ae9e401b0e54d15e25b29f99b | Shell | vagrant-easy/VagrantEasy-LAMP | /scripts/provisions/10.ssh_users.sh | UTF-8 | 980 | 3.875 | 4 | [
"MIT"
] | permissive | #!/bin/bash
function error_exit
{
echo "$1" 1>&2
exit 1
}
# Defaults:
SSH_USER_NAME="admin"
SSH_USER_PASS="admin"
SSH_USER_CAN_SUDO=true
# Override defaults using passed parameters:
while [[ $# > 1 ]]
do
key="$1"
case $key in
--ssh_user_name)
SSH_USER_NAME="$2"
shift
... | true |
f2e50f3e3e41ea169ba18fec276e7fd6deda497f | Shell | samejack/blog-content | /my-service | UTF-8 | 1,391 | 3.78125 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/sh
### BEGIN INIT INFO
# Provides:
# Required-Start: my-service
# Required-Stop: my-service
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: My Linux Service
### END INIT INFO
set -e
SERVICE_NAME=`basename $0`
PIDFILE=/var/run/myserv.pid
LOGPATH="/var/log/${SERVICE... | true |
15905fe49997408655e3786afba45104960bf32e | Shell | c47s/HFetch | /HFetch DEMO.app/Contents/Resources/getassgns | UTF-8 | 4,105 | 4.15625 | 4 | [] | no_license | #!/bin/bash
interactive=1
justDoCredentials=0
tty=$(tty) # tty to direct interactive output to
while getopts "gret:" opt; do
case "$opt" in
g) # GUI mode - non-interactive
interactive=0
tty="/dev/null"
;;
r) # Delete the API credential files
rm "$HOME/.scgyKey"
rm "$HOME/.scgySecret"
;;
e) # Exit a... | true |
d64dded020964b991c714cb25eb764fad16253eb | Shell | zhangsirsdo/openstack-install | /docker/docker-keystone-setup/setup.sh | UTF-8 | 2,094 | 3.15625 | 3 | [] | no_license | #!/bin/bash
ADMIN_TOKEN=${ADMIN_TOKEN:=016f77abde58da9c724b}
ADMIN_PASS=${ADMIN_PASS:=root}
DEMO_PASS=${DEMO_PASS:=root}
export OS_IDENTITY_API_VERSION=${OS_IDENTITY_API_VERSION:=3}
export OS_TOKEN=$ADMIN_TOKEN
ADVERTISEMENT_HOST=`echo $ADVERTISEMENT_URL|awk -F ':' '{print $1}'`
export OS_URL=http://$ADVERTISEMENT_HOS... | true |
f1e974832cb78fdd7cfb24c79f66f5fd7bd0c2de | Shell | LibreRouterOrg/pi-gen | /stage3/00-setup-unique-hostname/01-run-chroot.sh | UTF-8 | 356 | 2.828125 | 3 | [
"BSD-3-Clause"
] | permissive | ## Setup unique device hostname with a systemd startup script.
cat > /etc/systemd/system/configure-hostname.service << EOF
[Unit]
Description=Setup the device hostname to be a unique name
[Service]
Type=oneshot
ExecStart=/opt/configure-hostname.sh
RemainAfterExit=true
[Install]
WantedBy=multi-user.target
EOF
systemct... | true |
6d272bfd10299741318bf143e1e8780527fbb07e | Shell | masatake/miniascape-templates | /guest/net_register.sh | UTF-8 | 531 | 3.140625 | 3 | [
"MIT",
"Vim"
] | permissive | #! /bin/bash
# see also `[...]/usr/libexec/miniascape/guest_network_register.sh -h`
#
# Use installed version of 'guest_network_register.sh' if exists:
register_sh=/usr/libexec/miniascape/guest_network_register.sh
test -f ${register_sh} || register_sh=${0%/*}/../../host/${register_sh}
{% for nic in interfaces -%}
{% ... | true |
940b7a8da5e7b98d2542da86ab2e16ef3a422193 | Shell | rtfmplz/fabric-playground | /network/with-reverse-proxy/test-gw.sh | UTF-8 | 1,363 | 3.0625 | 3 | [] | no_license | #!/bin/bash
# import functions
source test-function.sh
GATEWAY_IP="127.0.0.1"
GATEWAY_ADDR="127.0.0.1:57999"
GATEWAY_ADDR_FOR_ORDERER1="127.0.0.1:57051"
GATEWAY_ADDR_FOR_PEER1="127.0.0.1:57050"
GATEWAY_ADDR_FOR_PEER2="127.0.0.1:58050"
###############################################################
# HEALTH CHECK
##... | true |
348b65f4a9c777d1acbc8f6fad58f0750021f44c | Shell | bsc-wdc/compss | /compss/runtime/adaptors/gos/scripts/init.sh | UTF-8 | 401 | 2.875 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
workingDir=$1
jobStatus=$2
cancelScript=$3
batchOutput=$4
#-------------------------------------
# Create sandbox
#-------------------------------------
mkdir -p "$workingDir"
mkdir -p "${workingDir}/${jobStatus}"
mkdir -p "${workingDir}/${cancelScript}"
mkdir -p "${workingDir}/${batc... | true |
0cbefd81e6a15a1dcc2480e410e88528d3a6ec16 | Shell | JaSiLez/tfsec-sarif-action | /entrypoint.sh | UTF-8 | 1,165 | 3.640625 | 4 | [
"MIT"
] | permissive | #!/bin/bash
set -x
if [ -n "${GITHUB_WORKSPACE}" ]; then
cd "${GITHUB_WORKSPACE}" || exit
fi
VERSION="latest"
if [ "$INPUT_TFSEC_VERSION" != "latest" ]; then
VERSION="tags/${INPUT_TFSEC_VERSION}"
fi
# Download the required tfsec version
wget -O - -q "$(wget -q https://api.github.com/repos/aquasecurity/tfsec/rel... | true |
c5055708c6d884ae61da320bfeee4843c835025a | Shell | cr-rateionn/maya_exploit_SP | /bin/cleanUserSetup | UTF-8 | 514 | 3.828125 | 4 | [
"MIT"
] | permissive | #!/bin/bash
#
# sed command to remove malware scriptNode from userSetup.mel files
#
# Usage cleanScriptNode fileName
#
# future work:
# check on status
#
# were we passed any parameters
if [ $# -gt 0 ]; then
grep -q MayaMelUIConfigurationFile "$1"
if [ $? -eq 0 ]; then
echo "processing file: ["$1"] ..."
... | true |
a809c25b7287b3db9f2450d407895665540ac099 | Shell | demers/blockchain_docker | /blockchain.bash | UTF-8 | 8,031 | 4.0625 | 4 | [] | no_license | #!/bin/bash
HEIGHT=17
WIDTH=80
CHOICE_HEIGHT=19
BACKTITLE="Gestion Blockchain version 1.3"
TITLE="Gestion de chaîne de blocs"
MENU="Choisir une des options suivantes:"
function creerConteneur() {
read -p "Voulez-vous créer la chaîne de blocs avec Docker pour ce port ($1)? (o/n)" CHOIX
if [[ $CHOIX =~ ^[Oo]$ ]... | true |
f612fd3f9bace1ba8bc7b44a7b3c59256249d341 | Shell | ejohnson44/SoundStream | /utilities/addGPL.sh | UTF-8 | 1,695 | 2.734375 | 3 | [] | no_license | #!/bin/sh
# This script is designed to add our GPL statement to the top of all of our
# source files
# Java source files
for i in ../SoundStream*/src/com/lastcrusade/soundstream/*/*.java
do
if ! grep -q Copyright\ 2013\ The\ Last\ Crusade\ ContactLastCrusade@gmail.com $i
then
cat ../docs/copyrightJava.txt $i > $i... | true |
1b9f0d7529968f1e303d8ab13a5ef6e9c74b979f | Shell | RohithCIS/LowCostLoRaGw | /gw_full_latest/scripts/stop_access_point.sh | UTF-8 | 673 | 3.515625 | 4 | [
"LicenseRef-scancode-warranty-disclaimer"
] | no_license | #!/bin/bash
INTERFACES_NOT_AP_FILE=/etc/network/interfaces_not_ap
INTERFACES_AP_FILE=/etc/network/interfaces_ap
INTERFACES_FILE=/etc/network/interfaces
#if "interfaces_not_ap" exists, then replace current interfaces file by this one
if [ -f $INTERFACES_NOT_AP_FILE ];
then
sudo service hostapd stop
sudo service d... | true |
ba1b65aeed19a28776f1774378cb9265ee349568 | Shell | mikalstill/ipa-buildroot | /buildroot-ipa/board/openstack/ipa/post-build.sh | UTF-8 | 10,374 | 3.65625 | 4 | [] | no_license | #!/usr/bin/env bash
## We use this script to compile Python wheels for IPA
## These are compiled using the buildroot host but installed into the target
##
## We use pip from get-pip.py, not Buildroot
# We want to know if anything fails
set -xue
set -o pipefail
# Path to target is always first argument, as per Buildr... | true |
e48eef053bfb5eb811829ab616e3aa8b3fb0a814 | Shell | aaronknister/kickseed | /kickseed-anna | UTF-8 | 1,809 | 3.421875 | 3 | [] | no_license | #! /bin/sh
. /usr/share/debconf/confmodule
# Back up anna's state.
standard_modules_backup=true
if db_get anna/standard_modules; then
standard_modules_backup="$RET"
fi
if [ -f /var/lib/anna-install/queue ]; then
mv -f /var/lib/anna-install/queue /var/lib/anna-install/queue.backup
fi
# Don't do the usual installati... | true |
8ca0923a7311b26fa201385fb3ed22eac3257481 | Shell | AnthonyWlodarski/TLDP | /Bash-Prog-Intro-HOWTO/conditionals.sh | UTF-8 | 455 | 3.609375 | 4 | [
"MIT"
] | permissive | #!/bin/bash
#conditional examples
if [ "foo" = "foo" ]; then
echo "foo"
fi
# if expression then code else code fi example
if [ "foo" = "bar" ]; then
echo "foo"
else
echo "bar"
fi
# expressions with variables
foo="foo"
bar="foo"
if [ $foo = $bar ]; then
echo Foo is equal to bar.
fi
#expressions with else if
if ... | true |
9a5ca784bff0e39406369e261be392cea527f2f0 | Shell | nataliarampon/microcontrollers | /labs/lab03/blink.sh | UTF-8 | 275 | 3 | 3 | [
"MIT"
] | permissive | #!/bin/bash
boardId=`cat /sys/devices/virtual/dmi/id/board_name`
case $boardId in
"Galileo")
GPIO=3
;;
"GalileoGen2")
GPIO=7
;;
esac
while true ; do
echo -n "0" > /sys/class/gpio/gpio$GPIO/value
sleep 1
echo -n "1" > /sys/class/gpio/gpio$GPIO/value
sleep 1
done
| true |
6efee0a7dfb89c91a41150cce6749cab5eaeb7b1 | Shell | BioLockJ-Dev-Team/sheepdog_testing_suite | /test/feature/envVars/script/checkMasterConfig.sh | UTF-8 | 160 | 2.609375 | 3 | [] | no_license | #! /bin/bash
MASTER=$(ls ../../MASTER*.properties)
OUT=../output/recordedEnvVars.txt
grep "TEST_VAR=" $MASTER >> $OUT
grep "pipeline.envVars" $MASTER >> $OUT
| true |
24266258b6f04ffa858e658b6e6a8e15efe4acb4 | Shell | kimkh415/713_team_4 | /scripts/bowtie_single.sh | UTF-8 | 288 | 2.59375 | 3 | [] | no_license | #!/bin/bash
set -e
read1=$1
index=$2
outputdir=$3
numprocessors=$4
module load bowtie2/2.2.7
# /pylon5/mc5frap/kimkh415/713_team_4/data/bowtie_index/GRCh38_index
bowtie2 -p ${numprocessors} -q -x ${index} -U ${read1} --un ${outputdir}/unmapped.fq --quiet > ${outputdir}/alignment.sam
| true |
62fa8f1f9acb7cb30cdf4a3454f3c5108b4e1cc1 | Shell | qichangc/linux | /shell/ulimit.sh | UTF-8 | 192 | 2.6875 | 3 | [] | no_license | #!/bin/bash
#查看nginx可以打开的最大文件数
# 功能待测试
for pid in 'ps aux |grep nginx |grep -v grep|awk '{print$2}''
do
cat /proc/${pid}/limits |grep 'Max open files'
done
| true |
e3dbf6c9a2dff75d00f763ace364406cb67f032f | Shell | continuum-swapnal-shinde/RefactoringRepo | /platform-qa-automation/PlatformAutomation/src/test/resources/DebianAgentInstall.sh | UTF-8 | 954 | 3.421875 | 3 | [] | no_license | #!/bin/bash
linuxbuildno=$1
build_ENV=$2
token_ID=$3
echo "----Create Folders---"
cd /home/qaadmin/
if [ -d /home/qaadmin/Juno-Agent ]; then
rm -rf Juno-Agent
fi
cd /home/qaadmin
mkdir Juno-Agent
cd /home/qaadmin/Juno-Agent
echo "----Download and Install Debian Package---"
attempt_counter=0
max_attempts=5
unti... | true |
78ed42c2dbcafb9a47d1e908dcf06ab59ce7c335 | Shell | NVIDIA/nvidia-container-toolkit | /scripts/archive-packages.sh | UTF-8 | 4,440 | 3.703125 | 4 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
# Copyright (c) NVIDIA CORPORATION. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless re... | true |
e96b5285e06d9695d735b03baed41e8839c4b1b4 | Shell | dedalusj/cwmonitor | /e2e/e2e.sh | UTF-8 | 2,123 | 3.671875 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
set -euf -o pipefail
METRIC_DATA_QUERY_TEMPLATE_FILE="metric-data-queries-template.json"
METRIC_DATA_QUERY_FILE="metric-data-queries.json"
METRIC_DATA_RESULTS_FILE="metric-data-results.json"
export START_DATE=$(date -u +"%Y-%m-%dT%H:%M:%SZ")
export END_DATE=$(date -d "+10 minutes" -u +"%Y-%m-%dT%... | true |
dab4ba86323bbc7d925051a21cd224d0624e7833 | Shell | ShefWuzi/msc-dissertation | /data_collection/git_text.sh | UTF-8 | 2,116 | 3.671875 | 4 | [] | no_license | #!/bin/bash
if [ $# -ne 1 ];then
echo "[*] Usage: $0 <github url>"
exit;
fi
if [[ $1 == "https://github.com/*" ]]; then
echo "[X] Can't extract data for non-github website"
exit;
fi
issue_data() {
issue_resp=$(echo "$1")
for issue in $(echo $issue_resp | jq -r '.[] | @base64'); do
title=$(echo "$issue" | ba... | true |
ea2c6895eb639be77b7184bbf41b7947ed67211c | Shell | g2forge/forklift | /builtin/package/Cygwin/special/ant | UTF-8 | 1,554 | 4.03125 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
set -eu -o pipefail
function help () {
echo "$(basename ${0}): Install ant on windows"
echo
echo "Usage: $(basename ${0})"
echo
}
SELF_DIR=$(cd $(dirname ${0}) && pwd -P)
SELF=${SELF_DIR}/$(basename ${0})
. ${SELF_DIR}/../../../common/source.bash
. "${SELF_DIR}/../install-common"
install java java
... | true |
de3e09074738e4b94f1774a93e78750bd09ee556 | Shell | sumaiyaazad/Operating-System-CSE-314-BUET | /Shell Script/Assignment1/findAbsents.sh | UTF-8 | 603 | 3.453125 | 3 | [] | no_license | #!/bin/bash
. ./data.sh
. ./util.sh
. ./findID.sh
# Generates initial absent log
# 1) FILE_ROSTER 2) FILE_ABS 3) FILE_MARKS
function genAbsList() {
IFS=$'\n'
for student in `cut -d '"' -f 2-3 $1`
do
sid=$(echo $student| cut -d'"' -f 1|cut -f 2)
sname=$(echo $student| cut -d',' -f 2)
# echo $sid
... | true |
ffebf4893cead9dfc75166e6c95b0eb2ece9d24c | Shell | doug-dianomic/fledge | /tests/system/python/scripts/package/reset | UTF-8 | 290 | 2.515625 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
echo "Stopping Fledge using systemctl ..."
sudo systemctl stop fledge
echo "YES" | /usr/local/fledge/bin/fledge reset || exit 1
echo
echo "Starting Fledge using systemctl ..."
sudo systemctl start fledge
echo "Fledge Status"
sudo systemctl status fledge | grep "Active" | true |
c5eabcebd8d2bfddc80662f48f0fd6ad8214ba4d | Shell | moog/confd-node-example | /docker-entrypoint.sh | UTF-8 | 617 | 2.84375 | 3 | [] | no_license | #!/bin/sh
echo "downloading"
wget --quiet "https://github.com/kelseyhightower/confd/releases/download/v0.15.0/confd-0.15.0-linux-amd64"
mkdir -p /opt/confd/bin
mv "confd-0.15.0-linux-amd64" /opt/confd/bin/confd
chmod +x /opt/confd/bin/confd
export PATH="/opt/confd/bin/:$PATH"
mkdir -p /etc/confd/conf.d
mkdir -p /etc... | true |
78cbf37fe0895912aa145f2ad478d9de3b23a1d0 | Shell | pabplanalp/pvmail | /java/bin/sh/erK4ProductionSetup.sh | UTF-8 | 1,414 | 2.59375 | 3 | [] | no_license | #!/bin/sh
dir=`dirname $0`
mydir=`cd $dir;pwd`
. $mydir/acSetEnv.sh
echo "MAKE SURE TOMCAT IS STOPPED!"
echo "Importing Data"
$mydir/acImportData.sh erK4ProductionBase
echo "Deleting Files"
rm -rf $AC_PROJECT_HOME/output/edi/transmit/*
rm -rf $AC_PROJECT_HOME/output/edi/k4/usps/receive/archive/*
rm -rf $AC_PROJECT_... | true |
c9aaa0e5522362624a881e78d8db2030834bcd9f | Shell | latexstudio/swufethesis | /ci/pwd.sh | UTF-8 | 509 | 4.03125 | 4 | [
"LPPL-1.3c"
] | permissive | #!/usr/bin/env sh
set -e
# 这个脚本输出$PWD,但会在Git Bash (Windows)下会将路径转为Windows的格式
if [[ "$OSTYPE" == "msys" || "$OSTYPE" == "cygwin" ]]; then
# 下面sed使用`|`作为分割符,并启用\(group capture\)
# 先提取$PWD的盘符和其余部分
disk=$(echo $PWD | sed 's|^/\([cd]\)/.*|\1|' | tr 'a-z' 'A-Z')
after_disk=$(echo $PWD | sed 's|/[cd]/\(.*\)|\1|')
... | true |
bb3f437659d210982ce09895314da7ff7d3cb6ee | Shell | cha63506/aur-mirror-migration | /gnome-shell-extension-window-buttons-git/PKGBUILD | UTF-8 | 1,063 | 2.734375 | 3 | [] | no_license | # Maintainer: Pi3R1k <pierrick.brun at gmail dot com>
pkgname=gnome-shell-extension-window-buttons-git
pkgver=20111207
pkgrel=1
pkgdesc="Extension which puts minimize, maximize and close buttons in the top panel."
arch=('any')
url="https://github.com/biox/Gnome-Shell-Window-Buttons-Extension"
license=('GPL3')
depends=(... | true |
8950682cf710d73ac48d80912baf74e32a392b50 | Shell | chungers/atp | /ops/munin/plugins/hz | UTF-8 | 2,693 | 3.21875 | 3 | [] | no_license | #!/bin/bash
#%# family=auto
#%# capabilities=autoconf
OPTION=$1
function doAutoConf {
echo "yes"
}
function doConfig {
cat <<EOF
multigraph hz_leveldb_writes
graph_title hz leveldb writes
graph_order leveldb_writes
graph_args --base 1000
graph_vlabel records written
graph_category hz
graph_info This graph sh... | true |
3eaf01a1737b60933cc4e65e54e115553b9a09a6 | Shell | tarunagarwal99/LeetCode | /solution | UTF-8 | 823 | 4.40625 | 4 | [] | no_license | #!/bin/bash
set -e
# A POSIX variable
OPTIND=1 # Reset in case getopts has been used previously in the shell.
# Initialize our own variables:
ext="java"
function show_help() {
echo "$(basename "$0") [-l] [-l java] The Problem Name
It will
1. Create directory of 'The-Problem-Name'
2. Use default EDITOR t... | true |
357a418abcb00ac261f094ab195235f760570d9f | Shell | allthingsclowd/two_consul_clusters_one_vault | /scripts/factorySecretIDTest.sh | UTF-8 | 2,663 | 3.40625 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
setup_environment () {
source /usr/local/bootstrap/var.env
IFACE=`route -n | awk '$1 == "192.168.2.0" {print $8}'`
CIDR=`ip addr show ${IFACE} | awk '$2 ~ "192.168.2" {print $2}'`
IP=${CIDR%%/24}
VAULT_IP=${LEADER_IP}
FACTORY_IP=${LEADER_IP}
if [ "${TRAVI... | true |
8416c33665bf42a79550b0be6dba5dc0370892f9 | Shell | scherzhaft/roles | /global-solaris-adminfunctions/files/etc/default/SYSconstants | UTF-8 | 3,153 | 3.046875 | 3 | [] | no_license | #!/bin/bash
loadallmodules()
{
. /etc/default/slack-functions
. /etc/default/admin-functions
HOURS=`echo ${DATESTRING}|awk -F_ {'print $4'}`
MINS=`echo ${DATESTRING}|awk -F_ {'print $5'}`
SECS=`echo ${DATESTRING}|awk -F_ {'print $6'}`
HOURS2SECS=`expr ${HOURS} \* 60 \* 60`
MINS2SECS=`expr ${MINS} \* 60`
TIMEINSECS=`... | true |
a172efc343994d2a1d453639947668be17e8fabd | Shell | JaideepBgit/TRDP-Database-generator | /img2pano_distortion/yolo_tests/test_eval_voc/calc_mAP_voc_py.sh | UTF-8 | 1,951 | 2.890625 | 3 | [] | no_license | # rem C:\Users\Alex\AppData\Local\Programs\Python\Python36\Scripts\pip install numpy
# rem C:\Users\Alex\AppData\Local\Programs\Python\Python36\Scripts\pip install cPickle
# rem C:\Users\Alex\AppData\Local\Programs\Python\Python36\Scripts\pip install _pickle
# rem darknet.exe detector valid data/voc.data cfg/yolov2-... | true |
20ed96ae442e9556fe20a9ad3c6d462b88af4542 | Shell | gh123man/dotfiles | /scripts/git-checkout-from | UTF-8 | 159 | 2.71875 | 3 | [] | no_license | #!/bin/bash
set -e
branch=$(git --no-pager branch -vv | fzf +m | awk '{print $1}')
files=$(git ls-files | fzf -m)
git checkout $branch -- $files
git status
| true |
cf16f76c656167b81dcf7969bca578af3862a516 | Shell | wsbu/docker-artifactory-cpp-ce | /start.sh | UTF-8 | 490 | 3.34375 | 3 | [] | no_license | #!/bin/bash
if [ ! "$(ls -A ${ARTIFACTORY_HOME})" ] ; then
set -e
echo "First startup detected. Copying default configuration files."
find "${ARTIFACTORY_HOME}/etc.defaults" -type f -exec cp {} "${ARTIFACTORY_HOME}/etc" \;
fi
"${ARTIFACTORY_HOME}/bin/artifactory.sh" start
trap "'${ARTIFACTORY_HOME}/bin/a... | true |
4df332f6067f3dba0f0de754f46ccf1905014582 | Shell | Romop5/holoinjector-tests | /generateReadme.sh | UTF-8 | 1,140 | 3.546875 | 4 | [] | no_license | REPO_URL='https://github.com/Romop5/holoinjector-tests/raw/master/'
RESULTS=`find results |sort | grep '_normal' | grep 'png'`
rm README.md
echo '# holoinjector-tests
## About
Semi-automatized test dataset for [HoloInjector](https://github.com/Romop5/holoinjector)
## Usage
- run *getDataset.sh* to download & build s... | true |
387c41e76490476d7e663783579380608c4b7103 | Shell | szipfel/base-d7 | /build/import.sh | UTF-8 | 358 | 2.84375 | 3 | [] | no_license | #!/usr/bin/env bash
#get the folder name of the git repo we're in.
CONTAINER_PREFIX="$(git rev-parse --show-toplevel)"
CONTAINER_NAME="$(basename ${CONTAINER_PREFIX//_})"
echo "Importing database..."
#docker exec -i ${CONTAINER_NAME}_php_apache_1 gunzip ../files/gpen.sql.gz
docker exec -i ${CONTAINER_NAME}_php_apache... | true |
3edd6e3a69016d2c60021f267be05bde77b40e2f | Shell | 5l1v3r1/FBM-134 | /Bin/assets/Termux-Generate | UTF-8 | 566 | 2.5625 | 3 | [
"MIT"
] | permissive | #!/bin/sh
proses(){
echo -ne 'Install FBM-134 : ##### (33%)\r'
sleep 1
echo -ne 'Install FBM-134 : ###### (40%)\r'
sleep 1
echo -ne 'Install FBM-134 : ######### (60%)\r'
sleep 1
echo -ne 'Install FBM-134 : ############ (80%)\r'
sleep 1
echo -ne 'Install FBM-134 : ##############(100%)\r'
s... | true |
836fede80c9f90da4a69004f5a45b8e77b61b2c7 | Shell | pmconrad/SounDAC-Source | /Docker/entrypoint.sh | UTF-8 | 177 | 2.6875 | 3 | [
"BSD-2-Clause",
"LicenseRef-scancode-warranty-disclaimer"
] | permissive | #!/bin/sh
cd ${WORKDIR}
if [ ! -f "${DATADIR}/config.ini" ]; then
cp "${WORKDIR}/config.ini.default" "${DATADIR}/config.ini"
fi
exec /usr/bin/mused -d "${DATADIR}/" "$@"
| true |
5e6ee1fbe692d12d1a44d04f55b0d77df162d184 | Shell | sagarnikam123/learnNPractice | /pluralSight/cassandraForDevelopers/2_replicationAndConsistency/4_demoTunableConsistency.sh | UTF-8 | 2,966 | 2.5625 | 3 | [
"MIT"
] | permissive | # make sure you have 3 node cluster up
docker run --name=n1 tobert/cassandra
docker inspect -f '{{ .NetworkSettings.IPAddress}}' n1
docker run --name=n2 tobert/cassandra -seeds 172.17.0.2
docker run --name=n3 tobert/cassandra -seeds 172.17.0.2
docker exec -it n1 cqlsh
# create keyspace
create keyspace pluralsight with... | true |
9e2ef11b5af160ba7ee5eb5062ffabcf4e10b21e | Shell | octobot-dev/react-boilerplate | /scripts/go-script-bash/scripts/changes | UTF-8 | 864 | 4.09375 | 4 | [
"MIT",
"ISC",
"LicenseRef-scancode-free-unknown"
] | permissive | #! /bin/bash
#
# Generates changelog notes from git history
#
# Usage: {{go}} {{cmd}} <start_ref> <end_ref>
#
# Where:
# <start_ref> First commit reference to include (inclusive)
# <end_ref> Last commit reference to include (exclusive)
#
# Example:
# To compile a list of changes for v1.0.1 since v1.0.0:
# {... | true |
1c977b3031bbe8b4197500000f012db1129b5f16 | Shell | tanmaypardeshi/pictos-scripts | /chrome/chrome_uninstall.sh | UTF-8 | 220 | 3.171875 | 3 | [] | no_license | #!/bin/bash
cd ~
yes | sudo apt-get purge google-chrome-stable
yes | sudo apt-get autoremove
if [ $? -eq 0 ]
then
echo "Success:Uninstalled Chrome"
exit 1
else
echo "Failure: Could not uninstall Chrome"
exit 0
fi
| true |
d3a9fc8de9903f6f9a7c0659ae9a15250705cfa9 | Shell | fabricio-godoi/scripts | /bash/arguments | UTF-8 | 1,237 | 4.15625 | 4 | [
"MIT"
] | permissive | #!/bin/bash
__HELP__="
Bash multiple argments input reader example
Parameters:
help|--help|-h Show this message
foo1=bar1 Get bar1 from variable foo1
foo2 Check if the foo2 was provided
foo3 bar3 Get bar3 for ... | true |
abcf4b309b67c594705c56a3e0e34716cf87a832 | Shell | hckrs/hckrs.io | /tools/main.sh | UTF-8 | 1,615 | 4.1875 | 4 | [
"MIT"
] | permissive | #!/bin/bash
ROOT="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && cd ".." && pwd )"
TOOLS="$ROOT/tools"
WEB="$ROOT"
# Require to be in a project directory
function require_project_directory {
if [ ! $(pwd) = $WEB ]; then
echo "You are not in a Meteor project directory."
echo ""
exit 1
fi
}
# Wait for met... | true |
a2ee335f9a5d82d54ff15811582536678bafdbf8 | Shell | wenchaomeng/config | /scripts/login/expect_jump_cmd.sh | UTF-8 | 971 | 3.015625 | 3 | [] | no_license | #!/usr/bin/expect -f
set jump [lindex $argv 0];
set username [lindex $argv 1];
set passwd [lindex $argv 2];
set realserverips [lindex $argv 3];
set role [lindex $argv 4];
set cmd [lindex $argv 5]
set log_file [lindex $argv 6]
if { $log_file == "" } {
set log_file "/tmp/log"
}
set file [ open $log_file w ]
proc... | true |
47a0e459e0b2162945d7503159312220431f985b | Shell | JavaQualitasCorpus/netbeans-7.3 | /cnd.modelimpl/test/whitebox/scripts/analyze-test-results-for-project.sh | UTF-8 | 791 | 3.640625 | 4 | [] | no_license | #!/bin/bash
#
# Copyright (c) 2009, 2012, Oracle and/or its affiliates. All rights reserved.
#
function main() {
java_home="/usr/bin"
test_result_analyzer_home="/export/home/nk220367/projects/code-completion-test-result-analyzer"
files="`find $1 -name '*.xml'`"
project_dir="$2"
index_dir="$3"
... | true |
b2978d53b04e30064f7877e5ce83f108f3dc1cc8 | Shell | Munro-L/DiscordNLP | /docker_up.sh | UTF-8 | 787 | 3.625 | 4 | [] | no_license | #!/bin/bash
if [ $# -eq 0 ]; then
echo "No arguments supplied"
echo "Execute 'docker_up.sh bot' to run the bot, or 'docker_up.sh trainer' to run the trainer"
exit
fi
if ! [[ $(which docker) && $(docker --version) ]]; then
echo "Docker is not installed. Make sure it is installed, and your user is in the... | true |
3ce04a63dbfa2e1efe2a5cb9368963d9f889bb4b | Shell | kingspp/downloadmanager | /scripts/run.sh | UTF-8 | 1,115 | 3.171875 | 3 | [] | no_license | #!/bin/bash
os = ""
if [ "$(uname)" == "Darwin" ]; then
os="mac" # Do something under Mac OS X platform
elif [ "$(expr substr $(uname -s) 1 5)" == "Linux" ]; then
os="linux" # Do something under GNU/Linux platform
elif [ "$(expr substr $(uname -s) 1 10)" == "MINGW32_NT" ]; then
os="windows" # Do so... | true |
b11f984d5e5b956f6592052539ca6f8928318147 | Shell | thioshp/gedit-external-tools | /git_status.sh | UTF-8 | 545 | 3.109375 | 3 | [
"MIT",
"Apache-2.0"
] | permissive | #!/bin/sh
# [Gedit Tool]
# Name=[git] status
# Shortcut=<Control><Alt>s
# Applicability=titled
# Output=nothing
# Input=nothing
# Save-files=nothing
# Shows git status
# (depends on git, ruby, zenity)
#
# Save: Nothing
# Input: Nothing
# Output: Nothing
#
# by Jan Lelis (mail@janlelis.de), edited by (you?)
if [ ... | true |
b1ecf45b017aa67b0fc41c9ae4e98bb8e5fd4c2b | Shell | mquinodo/MutScore | /01_clinvar_v0.8-all.sh | UTF-8 | 10,626 | 2.734375 | 3 | [] | no_license | #!/bin/bash
### Made by Mathieu Quinodoz
### February 2021
############# take different type of variants (PLP, BLB, VUS and conflicting) from clinvar vcf
here=/home/mquinodo/SYNO/WES/Clinvar2
mkdir -p $here/01_ClinVar-VCF
# download ClinVar VCF file(s) from their website: https://ftp.ncbi.nlm.nih.gov/pub/clinvar/v... | true |
756cfb0e3a77d0ad28b8d48e419c090f83c5bcb5 | Shell | seiya-tsukada/get_load_resource | /module/top.sh | UTF-8 | 324 | 3.265625 | 3 | [] | no_license | #! /bin/sh
current_dir=`cd $(dirname ${0}) && pwd`
target_dir=`cd ${current_dir}/../ && pwd`
log_dir="${target_dir}/log/top"
pid_file="${target_dir}/log/top.pid"
if [ ! -e ${log_dir} ]; then
mkdir -p ${log_dir}
fi
echo $$ > ${pid_file}
while :
do
top -b -n 1 > ${log_dir}/top_`date +%H%M%S`.log
sleep 1
done
e... | true |
5ad04053f669053115c3d69748416f18dbdbe372 | Shell | YangZhou1997/NetBricks-GEM5 | /build_gem5.sh | UTF-8 | 1,729 | 3.140625 | 3 | [
"ISC"
] | permissive | #!/bin/bash
source ./config.sh
set -e
BASE_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd)"
BUILD_SCRIPT=$( basename "$0" )
if [[ -z ${CARGO_INCREMENTAL} ]] || [[ $CARGO_INCREMENTAL = false ]] || [[ $CARGO_INCREMENTAL = 0 ]]; then
export CARGO_INCREMENTAL="CARGO_INCREMENTAL=0 "
fi
if [[ -z ${RUST_BACKTRACE... | true |
cdf47694fce4f72ea3344fd06c2825a14b127180 | Shell | tourunen/cannonfodder | /html_to_pdf.bash | UTF-8 | 386 | 2.875 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
for file in $*; do
echo "converting $file"
filebase=$(basename $file)
# htmldoc --no-toc --no-title --no-numbered --footer ' ' --embedfonts --outfile $filebase.pdf $file
#./node_modules/.bin/html5-to-pdf --page-size A4 --template htmlbootstrap -o $filebase.pdf $file
./node_mod... | true |
99270049b1d5fa69cfe31fb2366a34f80168b02c | Shell | YunKillerE/sys_init | /script/post/13user_group_add.sh | UTF-8 | 1,229 | 3.375 | 3 | [] | no_license | #!/bin/sh
#****************************************************************#
# ScriptName: 13user_group_add.sh
# Author: liujmsunits@hotmail.com
# Create Date: 2013-04-12 13:49
# Modify Author: liujmsunits@hotmail.com
# Modify Date: 2015-05-07 06:24
# Function:
#********************************************************... | true |
66a1eaa083af06db416be88ef9072b2d82a2cd50 | Shell | ammolitor/bin | /old-scripts/a123/clean-perf-data.sh | UTF-8 | 1,238 | 3.765625 | 4 | [] | no_license | #!/bin/bash
#===============================================================================
#
# FILE: clean-perf-data.sh
#
# USAGE: ./clean-perf-data.sh raw-data-file
#
# DESCRIPTION: cleans up data collected with date + top script
#
# CREATED: 11/15/2012 11:11:43 AM CST
# REVISION... | true |
1ba1973fc1887eaf44a2cabcb4275b504a320667 | Shell | pleebe/4plebs-downloads | /4plebs_thumbnail_image_dump_download.sh | UTF-8 | 501 | 3.6875 | 4 | [] | no_license | #!/bin/bash
echo "4plebs.org thumbnail image dump download script"
echo
echo " This will take around 104GB of hard drive space. All downloads will go to current working directory."
echo
read -p " Are you sure? [y/n] " -n 1 -r
echo
echo
if [[ ! $REPLY =~ ^[Yy]$ ]]
then
[[ "$0" = "$BASH_SOURCE" ]] && exit 1 || return... | true |
cd76e83da93465fcc409dee85a54249a8a11081f | Shell | tokcum/ArchInstaller | /packages/app/ipmiview.sh | UTF-8 | 728 | 2.9375 | 3 | [] | no_license | #!/usr/bin/env bash
if [ `id -u` -ne 0 ]; then
echo "ERROR! `basename ${0}` must be executed as root."
exit 1
fi
CORE_PKG=$(basename ${0} .sh)
MORE_PKGS=""
IS_INSTALLED=$(pacman -Qqm ${CORE_PKG})
if [ $? -ne 0 ]; then
packer -S --noedit --noconfirm ${CORE_PKG} ${MORE_PKGS}
else
echo "${CORE_PKG} is a... | true |
78f2732dfccf089b3f6f6408d7daef15eec50870 | Shell | emazzotta/dotfiles | /bin/gunco | UTF-8 | 173 | 3.296875 | 3 | [] | no_license | #!/bin/bash
if ! test "${1}" || grep '^[-0-9]*$' <<< ${1}; then
git reset --soft HEAD~${1}
else
echo "usage: $(basename "${0}") [the last n commits] (default: 1)"
fi
| true |
ac685571344e74f015cb7622c9714a62eecbbc91 | Shell | timschwuchow/RationalBubble | /FullModel/sim/spec_monop/SimVFSlowKill | UTF-8 | 368 | 3.34375 | 3 | [] | no_license | #!/bin/bash
killtime=`echo ${1%%.*} | sed 's/[^0-9]//g'`
if [ -n $killtime ]; then
for vf in `qstat | egrep -i 'vf[0-9]* ' | grep ' r ' | awk '{print $3}'`; do test=`cat $vf.txt | tail -n 1 | awk '{print $6}'`; if [ ${#test} -ge 1 ]; then if [ ${test%%.*} -ge $killtime ]; then cat $vf.txt | tail -n 1; tsqdel " $vf ";... | true |
fbd03c2353387a697a5bbc3e276db1b9ff478bee | Shell | lucas-gustavo-garzon/Jenkins-training | /recursos/pipelines/installation.sh | UTF-8 | 137 | 2.8125 | 3 | [] | no_license | #!/bin/bash
docker-compose version
if [ $? -eq 0 ]
then
docker-compose up -d
else
echo 'No tienes docker-compose installado'
fi | true |
334d2bf81d0036465b7266676a6496d90a7beefe | Shell | ilventu/aur-mirror | /ttf-meslo/PKGBUILD | UTF-8 | 422 | 2.671875 | 3 | [] | no_license | pkgname=ttf-meslo
pkgver=1.0
pkgrel=1
pkgdesc="Meslo Font"
arch=('any')
url="http://github.com/andreberg/Meslo-Font"
license=('Apache')
depends=('fontconfig' 'xorg-font-utils')
source=(https://github.com/downloads/andreberg/Meslo-Font/Meslo%20LG%20v1.0.zip)
md5sums=('d55dcfb246ca0e4564a02095cd8d5d9a')
build()
{
mkdi... | true |
234386017465f7f8cc30ff765173fe3bb08f2eda | Shell | chenlong828/deploy_utility | /salt/dev-base/init-salt.sh | UTF-8 | 666 | 3.265625 | 3 | [] | no_license | #!/bin/bash
if [ $# != 1 ] ; then
echo "Salt minion install script:"
echo " init-salt.sh <hostname>"
echo " =============================="
echo " example init-salt.sh portal_core"
echo ""
echo ""
exit 0
fi
saltmaster_host="lxc-host1"
saltmaster_hostip="192.168.13.1"
host_name=$1
echo $1 > /etc/hostname
s... | true |
7554058103749765d6ed73427e11ca7350c3bf06 | Shell | frey-norden/unix-workbench | /letsread.sh | UTF-8 | 141 | 2.75 | 3 | [] | no_license | #!/usr/bin/env zsh
# File: letsread.sh
echo "Type me up some text and hit that Enter key baby:"
read response
echo "You entered: $response"
| true |
f3039dcaea2be307313633cdabbcaf0fb16cc8c6 | Shell | hbalp/callers | /tests/uc_sso/update_build.sh | UTF-8 | 180 | 2.53125 | 3 | [] | no_license | #!/bin/bash
function update_libtool_build ()
{
set -x
libtoolize --force
aclocal
autoheader
automake --force-missing --add-missing
autoconf
set +x
}
| true |
bae4077c08d531c8825a9d975041131a477ec847 | Shell | RMIT-SEPT/majorproject-4-wed-18-30-1 | /FrontEnd/scripts/updateToBranch.sh | UTF-8 | 480 | 3.453125 | 3 | [] | no_license | #pulls the branch named in the first parameter
cd /home/remote/app
#Navigate to scripts directory
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
git pull origin $1
echo $1 > $DIR/currentBranch.local
if [$1 != "stable"];
then
#Grant 30 minutes before reverting to stable
echo $((`date +%s... | true |
f757b77e1b95d51ab6cf9f645baa856750e77a52 | Shell | eunomie/wlt | /tools/pre-receive | UTF-8 | 714 | 3.359375 | 3 | [
"MIT",
"BSD-2-Clause"
] | permissive | #!/usr/bin/env bash
set -e
source ~/.bash_profile
FULL_GIT_DIR=$(cd "$GIT_DIR" && /bin/pwd || "$GIT_DIR")
SCRATCH_DIR=$HOME/autobuild/scratch
GIT_DIR_NAME=$(basename $FULL_GIT_DIR)
GIT_DIR_NAME=${GIT_DIR_NAME%.*}
echo "-----> $GIT_DIR_NAME app."
while read OLDREV NEWREV REF
do
if [ "$REF" != "refs/heads/master" ... | true |
f5933e573f3b1d6e10a78df7f034c58552bd913f | Shell | oldtree/Axon | /build.sh | UTF-8 | 689 | 3.203125 | 3 | [] | no_license | #!/bin/bash
function start() {
docker pull grafana:grafana:latest
docker pull influxdb:latest
docker run -d -p 3000:3000 grafana:grafana:latest
docker run -d -p 8086:8086 influxdb:latest
nohup ./Axon -c cfg.json &> ./app.log &
}
function build() {
echo $GOPATH
echo $GOROOT
echo $PWD... | true |
ef65da2956a76c85a900626ec3c10114a58638e3 | Shell | mdcovarr/cse130-section | /week-3/test.sh | UTF-8 | 1,838 | 4.375 | 4 | [] | no_license | #!/usr/bin/env bash
RED='\033[0;31m'
GREEN='\033[0;32m'
NC='\033[0m'
usage() {
echo -e "\n\nUsage: test.sh [arguments] \n"
echo -e "test.sh - Script used to run a variety of tests to test dog executable"
echo -e "Optional Arguments:\n"
echo -e "\t-h, --help\t\t\t"
echo -e "\t\tDisplay this help m... | true |
cf4607f65ca67245cac9a73510392056f6ec1f01 | Shell | mgeiger/beehive | /setup/beehive-server | UTF-8 | 1,250 | 3.578125 | 4 | [] | no_license | #!/bin/bash
# /etc/init.d/beehive-server
### BEGIN INIT INFO
# Provides: beehive-server
# Required-Start: $remote_fs $syslog
# Required-Stop: $remote_fs $syslog
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Example initscript
# Description: This service is used to h... | true |
b8d9086d4cf9468ec1b26fd4eff2fd068da56cad | Shell | mkt3/dotfiles | /scripts/apt/setup.sh | UTF-8 | 1,152 | 3.046875 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
set -eu
setup_apt() {
title "Setting up apt"
package_list=(build-essential
zsh
locales
cmake
jq
unar
vim
duf
htop
iotop
... | true |
d48436481be6039ae59f505756d10c036fc9dbd1 | Shell | psachin/trashy | /trashy | UTF-8 | 3,659 | 3.96875 | 4 | [] | no_license | #!/bin/bash
VERSION=1.7
# trash - the command line trashcan
#
# Copyright (C) 2011-13 Klaatu la Terible
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (a... | true |
f9b0b7b8fdb4439cb9bcdac42accb058f3294fab | Shell | ching08/th_swagger_mock | /run_mock.sh | UTF-8 | 2,650 | 3.796875 | 4 | [] | no_license | #! /bin/bash
GREEN='\033[0;32m'
BLUE='\033[0;34m'
RED='\033[0;31m'
NC='\033[0m' # No Color
title() {
printf "${BLUE}${1}${NC}\n"
}
green() {
printf "${GREEN}${1}${NC}\n"
}
error() {
printf "${RED}ERROR:${1}${NC}\n"
}
show_help() {
echo "show_help"
}
pre_pare_repo_source() {
service_rep... | true |
bcf5b3e1d40c4f8214a81ebefd134650f1af4f7a | Shell | lkys37en/Lab-Automation | /Packer/Linux/Ubuntu/scripts/Restore-Eth.sh | UTF-8 | 327 | 2.546875 | 3 | [] | no_license | echo "[+] Setting eth0 to DHCP"
echo auto eth0 >> /etc/network/interfaces
echo iface eth0 inet dhcp >> /etc/network/interfaces
echo "[+] Modifying grub to supprt old eth interface naming"
sed -i 's/GRUB_CMDLINE_LINUX=""/GRUB_CMDLINE_LINUX="net.ifnames=0 biosdevname=0"/g' /etc/default/grub
grub-mkconfig -o /boot/grub/g... | true |
b308160721041d8adb643279a9887cf46ca39899 | Shell | rancher/validation-tests | /scripts/build-env | UTF-8 | 1,517 | 3.828125 | 4 | [
"Apache-2.0",
"LicenseRef-scancode-warranty-disclaimer"
] | permissive | #!/bin/bash
set -e
10acre_check()
{
if [ ! $(command -v gce-10acre-ranch) ]; then
echo "need gce-10acre-ranch command from cloudnautique/10acre-ranch" 1>&2
echo " in order to provision" 1>&2
exit 1
fi
}
while getopts "d" opt; do
case $opt in
d)
DESTROY_CLUSTER=... | true |
9ee1c214eeef40b5865e88a2f9e988926710251e | Shell | EduardoOrtiz89/.dotfiles | /.config/polybar/launch.sh | UTF-8 | 264 | 2.78125 | 3 | [] | no_license | #!/bin/bash
killall -q polybar
while pgrep -u $UID -x polybar > /dev/null; do sleep 1; done
polybar example &
my_laptop_external_monitor=$(xrandr --query | grep 'HDMI1')
if [[ $my_laptop_external_monitor != *disconnected* ]]; then
polybar external &
fi
| true |
0d549dd17d0b95042e2a4bde6ae87ada4da8e3a5 | Shell | yhiraki/docker-compose-gcloud | /_gcloud | UTF-8 | 237 | 2.9375 | 3 | [] | no_license | #!/usr/bin/env bash
if [ -L $0 ]
then SCRIPT_DIR=$(dirname $(readlink $0))
else SCRIPT_DIR=$(cd $(dirname $0); pwd)
fi
exec docker-compose \
-f $SCRIPT_DIR/docker-compose.yml \
run --rm \
-v $(pwd):/pwd \
-w /pwd \
gcloud $*
| true |
f865956602369b5beef7c591184f34fc3862c4ec | Shell | usayama/docker-react-firebase-3way | /tailwind.sh | UTF-8 | 1,882 | 3.140625 | 3 | [] | no_license | #!/bin/sh
set -e
echo 'パッケージをインストールします'
docker-compose run --rm environ npm install tailwindcss postcss-cli autoprefixer
echo 'パッケージのインストールが完了しました'
wait $!
sleep 3
echo 'Tailwindcssを初期化します'
docker-compose run --rm environ npx tailwindcss init
echo 'Tailwindcssを初期化しました'
wait $!
sleep 3
echo 'さっき作られたTailwind設定ファイルに書き込... | true |
715585e1fb5050a717770c4b2280d2888cf3b5ca | Shell | mmulenga/Computer-Science | /CMPT 332/group40/Assignment1/tag/3.0/partB.bash | UTF-8 | 3,950 | 4.0625 | 4 | [] | no_license | #!/bin/bash
# Sean Robson-Kullman
# skr519
# 11182480
# Matthew Mulenga
# mam558
# 11144528
# Check to see which version the user wishes to run.
VERSION="$1"
INPUT="user_input"
THREADS=NULL
DEADLINE=NULL
SIZE=NULL
LOOP_COUNT=0
ARCH=$(uname -sm | tr -d ' ')
# Check version function
check_version() {
if [ "$VERSION"... | true |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.